#
# Makefile for ALSA low level driver (Linux version)
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@suse.cz>
#

TOPDIR	= ../..

include $(TOPDIR)/Makefile.conf
include $(TOPDIR)/cards.config
  
ifeq (1,$(CONFIG_SND_CARD_HAL2))
TARGETS += $(TOPDIR)/modules/snd-card-hal2.o
endif

HAL2		 = card-hal2.o

include $(TOPDIR)/Rules.make

all: $(TARGETS)
	@echo
	@echo "ALSA soundcard specific modules were sucessfully compiled."
	@echo

$(TOPDIR)/modules/snd-card-hal2.o: .depend $(HAL2)
	$(LINKER) -o $@ $(HAL2)

gcompile: $(TARGETS)

clean:
	rm -f core .depend *.o *.orig snd.map snd.map? *~

.depend:
	$(CPP) $(COPTS) $(INCLUDE) *.c > .depend

dep:	.depend

dummy:

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif
